DS_EVENT_REGISTER_FUNC(3)

EXPERIMENTAL_FUNC
ds_event_register_func - Register a multi_array event function.

SYNOPSIS
#include <karma_ds.h>

KCallbackFunc ds_event_register_func

(flag (*func) (), void *object)

DESCRIPTION
Register a multi_array event function.

func
    The function which is called to process an event. The prototype function is <-ds_PROTO_event_func->.

object
    The object.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/